aboutsummaryrefslogtreecommitdiff
path: root/.github
diff options
context:
space:
mode:
authorMichal Hrusecky <michal.hrusecky@turris.com>2020-10-03 19:29:51 +0200
committerPaul Spooren <mail@aparcar.org>2020-10-10 11:16:13 -1000
commit61c4202766bfcfd5091b7bd421934b65cab531a4 (patch)
treee9655dc11c4710de290f7479af34d7a6a7546e65 /.github
parenta916211b670f1fa4aefc65f1d27f9afbf22e93a8 (diff)
CI: Add helper functions
Add a shell script that can produce colorfull output to help to identify problems during CI runs. Signed-off-by: Michal Hrusecky <michal.hrusecky@turris.com>
Diffstat (limited to '.github')
-rw-r--r--.github/workflows/ci_helpers.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/.github/workflows/ci_helpers.sh b/.github/workflows/ci_helpers.sh
new file mode 100644
index 000000000..60dcd4ee1
--- /dev/null
+++ b/.github/workflows/ci_helpers.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+color_out() {
+ printf "\e[0;$1m$PKG_NAME: %s\e[0;0m\n" "$2"
+}
+
+success() {
+ color_out 32 "$1"
+}
+
+info() {
+ color_out 36 "$1"
+}
+
+err() {
+ color_out 31 "$1"
+}
+
+warn() {
+ color_out 33 "$1"
+}
+
+err_die() {
+ err "$1"
+ exit 1
+}